Net::SSH::Perl::Cipher::DES(3)

NAME
Net::SSH::Perl::Cipher::DES - Wrapper for SSH DES support

SYNOPSIS
    use Net::SSH::Perl::Cipher;
    my $cipher = Net::SSH::Perl::Cipher->new('DES', $key);
    print $cipher->encrypt($plaintext);

DESCRIPTION
Net::SSH::Perl::Cipher::DES provides DES encryption support for Net::SSH::Perl. To do so it wraps around Crypt::DES, a C/XS implementation of the DES algorithm.

The DES algorithm used here is in CBC filter mode with a key length of 8 bytes.

AUTHOR & COPYRIGHTS
Please see the Net::SSH::Perl manpage for author, copyright, and license information.